#!/usr/bin/python
# -*- encoding: utf-8 -*-

""" Configuration de today """

class Config(object):
    """Configuration (pas de couleurs si on n'output pas dans un terminal"""
    def __init__(self, color=True):
        self.endcolor = u"[0m"
        self.blue = u"[1;36m"
        self.red = u"[1;31m"
        self.green = u"[1;32m"
        if not color:
            self.nocolor()
        #: Faut-il contacter le serveur distant
        self.do_remote = True
        #: Serveur distant où aller récupérer les checks
        self.distant_server = "pimeys"
        #: path de today-server.py sur le serveur distant
        self.path_today_server = "/home/vincent/scripts/today/today_server.py"
        #: Fichier contenant les anniversaires
        self.birthdays_file = "birthdays.txt"
        #: Fichier contenant les évènements à venir
        self.timers_file = "timers.txt"
        #: Fichier contenant les fêtes à souhaiter
        self.saints_file = "saints.json"
        #: Fichier contenant les ids des derniers trucs vus/lus
        self.last_seen_file = "lasts"
        #: Fichier contenant le timestamp de dernière exécution
        self.lasttime_file = ".lasttime"
        #: Fichier contenant un booléen mémorisant si il y a quelquechose dans le today du jour et qu'il n'a pas encore été regardé
        self.something_file = ".something"
    
    def nocolor(self):
        """Passe en mode sans couleur."""
        self.endcolor = self.blue = self.red = self.green = u""
